import logging

# from global_var.conf import IS_DEBUG


def init_logging():
    # logger = logging.root
    # use 'airtest_babybus' as root logger name to prevent changing other modules' logger
    logger = logging.getLogger("airtest_babybus")
    logger.setLevel(logging.DEBUG)
    # if IS_DEBUG:
    handler = logging.StreamHandler()
    # else:
    #     handler = logging.NullHandler()

    formatter = logging.Formatter(
        fmt='[%(asctime)s][%(levelname)s]<%(name)s> %(message)s',
        datefmt='%H:%M:%S'
    )
    handler.setFormatter(formatter)
    logger.addHandler(handler)


init_logging()


def get_logger(name):
    logger = logging.getLogger(name)
    return logger
