from PIL import ImageFile

from bbcloud_autotest_sdk.airtest_babybus.core.android.android import Android

ImageFile.LOAD_TRUNCATED_IMAGES = True


class BabybusAndroidUtils(Android):
    def __init__(self, adb_server=None, serialno=None, redis_obj=None):
        if adb_server is None:
            adb_server = ["127.0.0.1", 5037]

        # 自身设备串号
        self.serialno = serialno
        # adb服务器地址
        self.adb_server = adb_server
        # 兼容对象
        # self.com = self._get_com_obj()
        # 线程池列表
        self.thread_listen_list = []

        # self.init_listen_threads()
        super().__init__(serialno=serialno, host=self.adb_server)
        # 启动旋转监听器
        try:
            self.rotation_watcher.start()
        except:
            pass

        try:
            # 设置旋转换掉
            self.rotation_watcher.ow_callback.append(self.flash_display_info)
        except Exception as e:
            pass
