# coding=utf-8
from bbcloud_autotest_sdk.poco_babybus.freezeui.hierarchy import FrozenUIDumper
from bbcloud_autotest_sdk.poco_babybus.utils.simplerpc.utils import sync_wrapper


class StdDumper(FrozenUIDumper):
    def __init__(self, rpcclient):
        super(StdDumper, self).__init__()
        self.rpcclient = rpcclient

    @sync_wrapper
    def dumpHierarchy(self, onlyVisibleNode=True):
        return self.rpcclient.call("Dump", onlyVisibleNode)
